## cccc 3.1.4

=== debian/changelog ===
cccc (1:3.1.4-9) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs.
  * Build with all hardening options.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 10:52:18 +0000

cccc (1:3.1.4-8) unstable; urgency=medium

  * Simplify debian/rules using /usr/share/dpkg/buildflags.mk.
  * Build with large file support.
  * Upgrade to debhelper v9.
  * Policy version 3.9.6: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Sat, 02 Jan 2016 16:58:05 +0000

cccc (1:3.1.4-7) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Adjust package description and cccc(1) to stop implying that metrics are
    direct measures of quality (closes: #643799).

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Sep 2014 23:40:07 +0100

cccc (1:3.1.4-6) unstable; urgency=medium

  * Switch to git; add Vcs-* fields.
  * Policy version 3.9.5: no changes required.
  * Add a reference to /usr/share/common-licenses/GPL-2 to debian/copyright,
    and remove outdated Lintian override.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Jan 2014 12:48:40 +0000

cccc (1:3.1.4-5) unstable; urgency=low

  * Adjust debian/watch to remove epoch from Debian version.

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Sep 2012 01:54:52 +0100

cccc (1:3.1.4-4) unstable; urgency=low

  * Convert debian/copyright to copyright-format 1.0.
  * Use dpkg-buildflags to enable hardening options.

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Jun 2012 01:04:39 +0100

cccc (1:3.1.4-3) unstable; urgency=low

  * Avoid dependent base class scope lookups, which no longer work in G++
    4.7 (closes: #667133).

 -- Colin Watson <cjwatson@debian.org>  Wed, 04 Apr 2012 01:42:33 +0100

cccc (1:3.1.4-2) unstable; urgency=low

  * Add cross-compiling support.

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Nov 2011 13:01:30 +0000

cccc (1:3.1.4-1) unstable; urgency=low

  * New upstream release.
    - Released under GPL v2 or later.
  * Upgrade to debhelper v7.
  * Use ${misc:Depends}.
  * Convert to source format 3.0 (quilt).
  * All patches are now maintained separately and tagged according to DEP-3.
  * Add a Homepage field.
  * Add a watch file.
  * Switch to machine-readable copyright format (current DEP-5 draft).

 -- Colin Watson <cjwatson@debian.org>  Tue, 02 Mar 2010 02:34:31 +0000

cccc (3.pre84-2) unstable; urgency=low

  * Fix build with g++ 4.1 (thanks, Martin Michlmayr; closes: #356161).

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 May 2006 10:20:03 +0100

cccc (3.pre84-1) unstable; urgency=low

  * New upstream release.
    - Works around previous prn14 test problems, so I've removed my
      temporary hack (closes: #202797).
  * Fix various compiler errors when using g++ 4.0 (thanks, Andreas Jochens;
    closes: #258560, #315117).
  * Upgrade to debhelper v4.

 -- Colin Watson <cjwatson@debian.org>  Sun,  7 Aug 2005 15:12:12 +0100

cccc (3.pre81-2) unstable; urgency=low

  * Ignore errors from prn14 test for now, following upstream's advice
    (downgrades #202797 to normal).
  * Use 'diff -u' in tests to get more context.
  * Remove test/*.xml in 'debian/rules clean'.

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Aug 2003 04:34:05 +0100

cccc (3.pre81-1) unstable; urgency=low

  * New upstream release. May fix test problems on hppa and s390.

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Aug 2003 00:10:40 +0100

cccc (3.pre63-3) unstable; urgency=low

  * Compile with -Wno-deprecated. These warnings are currently unimportant
    for Debian.
  * Set DEBUG=true so that we compile with -g.
  * Fix implicit typenames in cccc_tbl.cc and cccc_tbl.h (closes: #196782).

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Jul 2003 14:19:13 +0100

cccc (3.pre63-2) unstable; urgency=low

  * Build with g++ 3.2.
  * Override bogus lintian error (cccc isn't licensed under the GPL, the
    copyright file merely mentions it).

 -- Colin Watson <cjwatson@debian.org>  Wed,  8 Jan 2003 20:27:20 +0000

cccc (3.pre63-1) unstable; urgency=low

  * Initial release (closes: #130632).
  * Build with the Debian pccts package rather than the included pccts.
  * Avoid linking statically.
  * Add a cccc(1) man page.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Sep 2002 17:36:19 +0100
