=== debian/control ===
Source: cccc
Section: devel
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.6
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), pccts
Homepage: http://cccc.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/users/cjwatson/cccc.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/cjwatson/cccc.git/

Package: cccc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C and C++ Code Counter, a software metrics tool
 CCCC analyses and reports measurements of source code in C, C++, and Java.
 The metrics supported include lines of code, McCabe's Cyclomatic
 Complexity, and measures of module fan-out/fan-in.
