=== debian/watch ===
version=3
opts=uversionmangle=s/pre/~pre/,dversionmangle=s/^\d+:// \
  http://sf.net/cccc/cccc-(.+)\.tar\.gz
