## cccc 3.1.4+dfsg1

=== debian/changelog ===
cccc (1:3.1.4+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Colin Watson ]
  * Repack original source tarball without test/prn13.* and test/prn14.* due
    to non-DFSG-free licences (closes: #992093).

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Aug 2021 15:59:46 +0100

cccc (1:3.1.4-12) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Aug 2019 14:40:10 +0100

cccc (1:3.1.4-11) unstable; urgency=medium

  * Policy version 4.2.1:
    - Use HTTPS form of copyright-format URL.
    - Set Rules-Requires-Root: no.
  * Fix implicit integer cast when parsing filenames (thanks, Erwan Legrand;
    LP: #376859).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Sep 2018 10:35:41 +0100

cccc (1:3.1.4-10) unstable; urgency=medium

  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Apr 2018 18:44:39 +0100
