=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), pccts
+Standards-Version: 4.2.1
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper-compat (= 12), pccts
 Homepage: http://cccc.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/users/cjwatson/cccc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/cjwatson/cccc.git/
+Vcs-Git: https://salsa.debian.org/debian/cccc.git
+Vcs-Browser: https://salsa.debian.org/debian/cccc
+Rules-Requires-Root: no
 
 Package: cccc
 Architecture: any
