=== debian/watch ===
version=3
opts=uversionmangle=s/pre/~pre/,dversionmangle=s/^\d+://;s/\+dfsg\d*$// \
  https://sf.net/cccc/cccc-(.+)\.tar\.gz
