## cccc 3.2.0+dfsg1

=== debian/changelog ===
cccc (1:3.2.0+dfsg1-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Apply X-Style: black.
  * Add dependency on PCCTS-generated files for compiling ccccmain.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Dec 2024 13:44:38 +0000

cccc (1:3.2.0+dfsg1-1) unstable; urgency=medium

  [ Colin Watson ]
  * Optimize a debhelper override slightly.
  * Switch to new upstream location; new upstream release (LP: #1916357).
  * Override some Lintian source-is-missing false positives.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper
      now does this.

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Nov 2022 23:09:29 +0000
