=== debian/watch ===
version=4
opts="searchmode=plain, filenamemangle=s%(\d[\d.]*)%@PACKAGE@-$1.tar.gz%, dversionmangle=s/^\d+://;s/\+dfsg\d*$//, repacksuffix=+dfsg1" \
    https://api.github.com/repos/sarnold/cccc/releases \
    https://api.github.com/repos/sarnold/cccc/tarball/@ANY_VERSION@
